Bucha7
Contributor
Contributor

VCSA 6.5 Patch Fails 6.5.0u3 to 6.5.0u3o

I am having some issues patching my vcenter server from 6.5.0u3 to 6.5.0u3o ... I am running the update from an iso file using the command software-package install --iso and it mounts the iso, stages the patches and I go through accepting the terms and conditions and then it fails with no warning message. I tried updating from the appliance manager with the same results.

A couple of notes..

This is an isolated system without access to the internet

I reset the root password on the appliance prior to attempting to patch

I attempted patching to multiple other versions besides the 6.5u3o but all gave the same results

I am not sure if this is related but the /storage/logs directory was out of disk space and giving errors in the appliance manager... prior to attempting the patch I increased the disk space and expanded the disk, the errors went away

I have this from the logs but I am not sure how to proceed:

error: error(-30986) getting "libpthread.so.0(GLIBC_2.2.5)(64bit)" records from Requirename index: BDB0075 DB_PAGE_NOTFOUND: Requested page not found
error: Failed dependencies:
libjson-c.so.2()(64bit) is needed by (installed) rsyslog-8.15.0-9.ph1.x86_64
libgcc = 5.3.0-5.ph1 is needed by (installed) libstdc++-5.3.0-5.ph1.x86_64
openssl = 1.0.2r-1.ph1 is needed by (installed) openssl-c_rehash-1.0.2r-1.ph1.x86_64

0 Kudos
1 Reply
Ajay1988
VMware Employee
VMware Employee

If you are on 6.5 U3 GA ; then go to  6.5 U3N  first (use FP ISO) and then go to   6.5 U3O  (use FP ISO) 

NOTE:- Revert to snapshot before  your previous attempts.

https://docs.vmware.com/en/VMware-vSphere/6.5/rn/vsphere-vcenter-server-65u3n-release-notes.html

  1. Attach the VMware-vCenter-Server-Appliance-6.5.0.34000-17590285-patch-FP.iso file to the vCenter Server Appliance CD or DVD drive.
  2. Log in to the appliance shell as root and run the commands given below:
    • To stage the ISO:

      software-packages stage --iso

    • To see the staged content:

      software-packages list --staged

    • To install the staged rpms:

      software-packages install --staged

If you think your queries have been answered
Mark this response as "Correct" or "Helpful".

Regards,
AJ
0 Kudos